<?php
/**
 * 
 * @file style_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_style.php');

$url = 'mod_style/style.php';
Common::checkAdminFileAuth($url); //check file authority
$clComStyle = new ComStyle();

$act = kGet('act');
switch ($act) {
    case 'save_add':
        $clComStyle -> addRecords();
        break;
    case 'save_edit':
        $clComStyle -> editRecords();
        break;

    case 'add':
    case 'edit':
    default:
        $clComStyle -> layoutStyle_edit();
        break;
} 

?>